Bug 1389222 (CVE-2016-5652) - CVE-2016-5652 libtiff: tiff2pdf JPEG Compression Tables Heap Buffer Overflow
Summary: CVE-2016-5652 libtiff: tiff2pdf JPEG Compression Tables Heap Buffer Overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-5652
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1389231 1389232 1389233 1412078 1412079 1412080 1412081
Blocks: 1389235
TreeView+ depends on / blocked
 
Reported: 2016-10-27 08:35 UTC by Andrej Nemec
Modified: 2019-09-29 13:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 10:19:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0225 normal SHIPPED_LIVE Moderate: libtiff security update 2017-02-01 15:03:24 UTC

Description Andrej Nemec 2016-10-27 08:35:56 UTC
An exploitable heap based buffer overflow exists in the handling of TIFF images in LibTIFF’s TIFF2PDF tool. A crafted TIFF document can lead to a heap based buffer overflow resulting in remote code execution. Vulnerability can be triggered via a saved TIFF file delivered by other means.

External References:

http://www.talosintelligence.com/reports/TALOS-2016-0187/

Upstream fix:

https://github.com/vadz/libtiff/commit/b5d6803f0898e931cf772d3d0755704ab8488e63

Comment 1 Andrej Nemec 2016-10-27 08:47:09 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1389231]

Comment 2 Andrej Nemec 2016-10-27 08:47:15 UTC
Created mingw-libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1389232]
Affects: epel-7 [bug 1389233]

Comment 8 errata-xmlrpc 2017-02-01 10:03:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2017:0225 https://rhn.redhat.com/errata/RHSA-2017-0225.html


Note You need to log in before you can comment on or make changes to this bug.